Latest 0.1.0
Homepage https://github.com/wessonwu/WeChatSDK_Swift
License MIT Copyright (c) 2019 吴伟鑫
Platforms ios 8.0
Authors

微信SDK(带支付能力)静态库转动态库

解决问题

在组件化过程中,自己创建的私有库依赖官方WechatOpenSDK静态库,且Podfile使用了use_frameworks!,则导致在pod install时,会遇到[!] The 'Test_Example' target has transitive dependencies that include static binaries: (.../Example/Pods/WechatOpenSDK/WeChatSDK1.8.4/libWeChatSDK.a),使用该库可以解决

安装

pod 'WeChatSDK_Swift'

或者在私有库Podspec中使用

s.dependency 'WeChatSDK_Swift'

Latest podspec

{
    "name": "WeChatSDK_Swift",
    "version": "0.1.0",
    "summary": "u5faeu4fe1SDK_1.8.4(u5e26u652fu4ed8u529fu80fd)u52a8u6001u5e93",
    "description": "u5faeu4fe1SDK(u5e26u652fu4ed8u529fu80fd)u52a8u6001u5e93u5c01u88c5uff0cnu7528u4e8eu89e3u51b3u7ec4u4ef6u5316u4f7fu7528use_frameworks!u4e0bu4f9du8d56libWeChatSDK.anu5bfcu81f4pod installu5931u8d25u95eeu9898",
    "homepage": "https://github.com/wessonwu/WeChatSDK_Swift",
    "license": {
        "type": "MIT",
        "text": "                                Copyright (c) 2019 u5434u4f1fu946b n"
    },
    "authors": {
        "wessonwu": "[email protected]"
    },
    "source": {
        "http": "http://files-1251841180.cosgz.myqcloud.com/WeChatSDK_Swift.framework.zip"
    },
    "platforms": {
        "ios": "8.0"
    },
    "vendored_frameworks": "WeChatSDK_Swift.framework"
}

Pin It on Pinterest

Share This